package ink.wgink.interfaces.department;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.dtos.department.DepartmentUserDTO;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IDepartmentUser
 * @Description: 部门用户
 * @Author: WangGeng
 * @Date: 2021/1/24 12:59
 * @Version: 1.0
 **/
public interface IDepartmentUserBaseService {

    /**
     * 用户ID列表
     *
     * @param departmentId 部门ID
     * @return
     */
    List<String> listUserId(String departmentId);

    /**
     * 用户ID列表
     *
     * @param departmentIds 部门ID列表
     * @return
     */
    List<String> listUserId(List<String> departmentIds);

    /**
     * 用户列表
     *
     * @param departmentId 部门ID
     * @param page
     * @return
     */
    SuccessResultList<List<DepartmentUserDTO>> listPage(String departmentId, ListPage page);

}
