package ink.wgink.login.wechat.startup;

import ink.wgink.login.wechat.dao.user.IMiniAppUserDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: LoginWechatStartUp
 * @Description: 微信登录
 * @Author: wanggeng
 * @Date: 2021/4/9 11:44 上午
 * @Version: 1.0
 */
@Component
public class LoginWechatStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(LoginWechatStartUp.class);
    @Autowired
    private IMiniAppUserDao miniAppUserDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    /**
     * 建表
     */
    private void initTable() {
        LOG.debug("创建 wechat_mini_app_user 表");
        miniAppUserDao.createTable();
    }
}
